Avro C#

Public Member Functions | Static Public Attributes | Properties | List of all members
Avro.IO.ByteBufferOutputStream Class Reference

Utility to collect data written to an OutputStream in MemoryStreams. More...

Inheritance diagram for Avro.IO.ByteBufferOutputStream:

## Public Member Functions
| ByteBufferOutputStream ()
| Initializes a new instance of the ByteBufferOutputStream class. More...
void | Prepend (List< MemoryStream > lists)
| Prepends a list of MemoryStream to this stream. More...
void | Append (List< MemoryStream > lists)
| Appends a list of MemoryStream to this stream. More...
override void | Write (byte[] b, int off, int len)
List< MemoryStream > | GetBufferList ()
| Returns all data written and resets the stream to be empty. More...
override void | Flush ()
Public Member Functions inherited from Avro.IO.OutputStream
override int | Read (byte[] buffer, int offset, int count)
override long | Seek (long offset, SeekOrigin origin)
override void | SetLength (long value)

## Static Public Attributes
const int | BUFFER_SIZE = 8192
| Size of memory stream buffers. More...

## Properties
override long | Length`[get]`
Properties inherited from Avro.IO.OutputStream
override bool | CanWrite`[get]`
override bool | CanRead`[get]`
override bool | CanSeek`[get]`
override long | Position`[get, set]`

## Detailed Description

Utility to collect data written to an OutputStream in MemoryStreams.

See also
  ByteBufferInputStream

## Constructor & Destructor Documentation

## ◆ ByteBufferOutputStream()

Avro.IO.ByteBufferOutputStream.ByteBufferOutputStream | ( |  | ) |
| inline

Initializes a new instance of the ByteBufferOutputStream class.

## Member Function Documentation

## ◆ Append()

void Avro.IO.ByteBufferOutputStream.Append | ( | List< MemoryStream > | lists | ) |
| inline

Appends a list of MemoryStream to this stream.

Parameters

  lists | Memory streams to append.

## ◆ GetBufferList()

List<MemoryStream> Avro.IO.ByteBufferOutputStream.GetBufferList | ( |  | ) |
| inline

Returns all data written and resets the stream to be empty.

Returns
  All memory stream data.

## ◆ Prepend()

void Avro.IO.ByteBufferOutputStream.Prepend | ( | List< MemoryStream > | lists | ) |
| inline

Prepends a list of MemoryStream to this stream.

Parameters

  lists | Memory streams to prepend.

## Member Data Documentation

## ◆ BUFFER_SIZE

const int Avro.IO.ByteBufferOutputStream.BUFFER_SIZE = 8192
| static

Size of memory stream buffers.

The documentation for this class was generated from the following file:

- src/apache/main/IO/ByteBufferOutputStream.cs